#!/bin/bash

##############################################################################
#                                                                            #
#    TkAntivir Installationsprogramm 1.51.01 fuer TkAntivir Version 1.51.01  #
#    Copyright (C) 1999-2006 Sebastian Geiges                                #
#                                                                            #
#              >> Bitte nur fuer Erstinstallation benutzen!! <<              #
#                                                                            #
#    This program is free software; you can redistribute it and/or modify    #
#    it under the terms of the GNU General Public License as published by    #
#    the Free Software Foundation; either version 2 of the License, or       #
#    (at your option) any later version.                                     #
#                                                                            #
#    This program is distributed in the hope that it will be useful,         #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of          #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           #
#    GNU General Public License for more details.                            #
#                                                                            #
#    You should have received a copy of the GNU General Public License       #
#    along with this program; see the file COPYING.  If not, write to        #
#    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,        #
#    Boston, MA 02111-1307, USA.                                             #
#                                                                            #
##############################################################################

until [ $auswahl = QUIT ]
do
  dialog  --backtitle "TkAntivir 1.51.01 Installationsprogramm \
        (C) 1999-2006 by Sebastian Geiges" \
	  --clear --menu 'Bitte waehlen Sie die Option:' 12 45 5 \
	'INSTALL' 'TkAntivir 1.51.01 installieren' 'README' 'Readme-Datei anzeigen' \
	'MD5SUM' 'Zeige MD5-Pruefsummen' 'LICENSE' 'Lizenzbedingungen anzeigen' 'QUIT' 'Programm verlassen' 2> $$.tmp
  auswahl=$(cat $$.tmp)
  setterm -clear
  case $auswahl in
    "INSTALL") 
         qverz="$(pwd)"
         dialog  --backtitle "TkAntivir 1.51.01 Installationsprogramm \
        (C) 1999-2006 by Sebastian Geiges" \
         --clear --title 'Quellpfad' \
         --inputbox 'Bitte Quellpfad eingeben:' \
         10 35 "$qverz" 2> $$.tmp
         reta=$?
	 qverz=$(cat $$.tmp)
         if [ $reta = 0 ]
         then
         if ! test -e $qverz
         then
           dialog --clear --title 'FEHLER' \
           --msgbox 'Der Pfad exitiert nicht, bitte korrigieren.' 8 27
         else
	       zverz="/usr/X11R6/lib/TkAntivir"
	       dialog  --backtitle "TkAntivir 1.51.01 Installationsprogramm \
        (C) 1999-2006 by Sebastian Geiges" \
		--clear --title 'Zielverzeichnis' \
		--inputbox 'Bitte Ziel eingeben:\nz.B. /usr/X11R6/lib/TkAntivir' \
		10 35 "$zverz" 2> $$.tmp
                retb=$?
		zverz=$(cat $$.tmp)
                if [ $retb = 0 ]
                then
		if ! test -e $zverz
		then
		mkdir $zverz
		cp $qverz/tkantivir $zverz/tkantivir
		cp $qverz/tkantivir.tcl $zverz/tkantivir.tcl
		cp $qverz/scheduler.tcl $zverz/scheduler.tcl
		cp $qverz/COPYING $zverz/COPYING
        	cp $qverz/README $zverz/README
		cp $qverz/ChangeLog $zverz/ChangeLog
		cp $qverz/MD5SUM.ASC $zverz/MD5SUM.ASC
		cp $qverz/tkantivir.gif $zverz/tkantivir.gif
		cp $qverz/find.gif $zverz/find.gif
		cp $qverz/find.xbm $zverz/find.xbm
		cp $qverz/i.gif $zverz/i.gif
		cp $qverz/i.xbm $zverz/i.xbm
		cp $qverz/text.gif $zverz/text.gif
		cp $qverz/text.xbm $zverz/text.xbm
		cp $qverz/pref.gif $zverz/pref.gif
		cp $qverz/pref.xbm $zverz/pref.xbm
		cp $qverz/clock.gif $zverz/clock.gif
		cp $qverz/clock.xbm $zverz/clock.xbm
		cp $qverz/folder.gif $zverz/folder.gif
		cp $qverz/BWidget-1.4.0.tar.gz $zverz/BWidget-1.4.0.tar.gz
		cd $zverz
		tar xfvz $zverz/BWidget-1.4.0.tar.gz
		chmod 755 $zverz/tkantivir
		chmod 755 $zverz/tkantivir.tcl
		ln -s $zverz/tkantivir /usr/X11R6/bin/tkantivir
		ln -s $zverz/tkantivir.tcl /usr/X11R6/bin/tkantivir.tcl
	        dialog  --backtitle "TkAntivir 1.51.01 Installationsprogramm \
        (C) 1999-2006 by Sebastian Geiges" \
                --clear --title 'Installation' --msgbox "Die Installation ist jetzt fertig. Sie\nkoennen \
TkAntivir jetzt unter X11 mit dem\nBefehl 'tkantivir' starten." 8 45
	        else
	        dialog  --backtitle "TkAntivir 1.51.01 Installationsprogramm \
        (C) 1999-2006 by Sebastian Geiges" \
		--clear --title 'Installation' --msgbox "TkAntivir ist bereits vorhanden. Kopie-\n\
ren Sie die neuen Dateien manuell." 6 45
		fi
                fi
         fi
	 fi;;
    "README") dialog  --backtitle "TkAntivir 1.51.01 Installationsprogramm \
        (C) 1999-2006 by Sebastian Geiges" \
	      --clear --textbox README 23 78;;
    "MD5SUM") dialog  --backtitle "TkAntivir 1.51.01 Installationsprogramm \
        (C) 1999-2006 by Sebastian Geiges" \
              --clear --textbox MD5SUM.ASC 23 80;;
    "LICENSE") dialog  --backtitle "TkAntivir 1.51.01 Installationsprogramm \
        (C) 1999-2006 by Sebastian Geiges" --clear --textbox COPYING 23 78;;
    "QUIT");;
  esac
rm $$.tmp
done
